FreeMat

- Main Page
- Related Pages

vtkEdgeLayoutStrategy

Section: Visualization Toolkit Infovis Classes

# Usage

All edge layouts should subclass from this class. vtkEdgeLayoutStrategy works as a plug-in to the vtkEdgeLayout algorithm.

To create an instance of class vtkEdgeLayoutStrategy, simply invoke its constructor as follows

      obj = vtkEdgeLayoutStrategy

# Methods

The class vtkEdgeLayoutStrategy has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkEdgeLayoutStrategy class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkEdgeLayoutStrategy = obj.NewInstance ()`
- `vtkEdgeLayoutStrategy = obj.SafeDownCast (vtkObject o)`
- `obj.SetGraph (vtkGraph graph)` - Setting the graph for the layout strategy
- `obj.Initialize ()` - This method allows the layout strategy to do initialization of data structures or whatever else it might want to do.
- `obj.Layout ()` - This is the layout method where the graph that was set in SetGraph() is laid out.
- `obj.SetEdgeWeightArrayName (string )` - Set/Get the field to use for the edge weights.
- `string = obj.GetEdgeWeightArrayName ()` - Set/Get the field to use for the edge weights.